idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.Package.Common

Description

Synopsis

- data PkgDesc = PkgDesc {
  - pkgname :: PkgName
  - pkgdeps :: [PkgName]
  - pkgbrief :: Maybe String
  - pkgversion :: Maybe String
  - pkgreadme :: Maybe String
  - pkglicense :: Maybe String
  - pkgauthor :: Maybe String
  - pkgmaintainer :: Maybe String
  - pkghomepage :: Maybe String
  - pkgsourceloc :: Maybe String
  - pkgbugtracker :: Maybe String
  - libdeps :: [String]
  - objs :: [String]
  - makefile :: Maybe String
  - idris_opts :: [Opt]
  - sourcedir :: String
  - modules :: [Name]
  - idris_main :: Maybe Name
  - execout :: Maybe String
  - idris_tests :: [Name]
  }
- defaultPkg :: PkgDesc

# Documentation

data PkgDesc #

Description of an Idris package.

Constructors

PkgDesc |

Fields

- pkgname :: PkgName

  Name associated with a package.

- pkgdeps :: [PkgName]

  List of packages this package depends on.

- pkgbrief :: Maybe String

  Brief description of the package.

- pkgversion :: Maybe String

  Version string to associate with the package.

- pkgreadme :: Maybe String

  Location of the README file.

- pkglicense :: Maybe String

  Description of the licensing information.

- pkgauthor :: Maybe String

  Author information.

- pkgmaintainer :: Maybe String

  Maintainer information.

- pkghomepage :: Maybe String

  Website associated with the package.

- pkgsourceloc :: Maybe String

  Location of the source files.

- pkgbugtracker :: Maybe String

  Location of the project's bug tracker.

- libdeps :: [String]

  External dependencies.

- objs :: [String]

  Object files required by the package.

- makefile :: Maybe String

  Makefile used to build external code. Used as part of the FFI process.

- idris_opts :: [Opt]

  List of options to give the compiler.

- sourcedir :: String

  Source directory for Idris files.

- modules :: [Name]

  Modules provided by the package.

- idris_main :: Maybe Name

  If an executable in which module can the Main namespace and function be found.

- execout :: Maybe String

  What to call the executable.

- idris_tests :: [Name]

  Lists of tests to execute against the package.

#### Instances

Instances details

Show PkgDesc # |
Instance details Defined in Idris.Package.Common Methods showsPrec :: Int -> PkgDesc -> ShowS # show :: PkgDesc -> String # showList :: [PkgDesc] -> ShowS #

defaultPkg :: PkgDesc #

Default settings for package descriptions.